package org.mynonglam.entitys;

import java.io.Serializable;
import javax.persistence.*;


/**
 * The persistent class for the commentstatus database table.
 * 
 */
@Entity
public class CommentStatus implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	private String idcomstatus;

	private String commentdate;

	@Lob
	private String content;

	//bi-directional many-to-one association to Account
	@ManyToOne
	@JoinColumn(name="email")
	private Account account;

	//bi-directional many-to-one association to Status
	@ManyToOne
	@JoinColumn(name="idstatus")
	private Status status;

	public CommentStatus() {
	}

	public String getIdcomstatus() {
		return this.idcomstatus;
	}

	public void setIdcomstatus(String idcomstatus) {
		this.idcomstatus = idcomstatus;
	}

	public String getCommentdate() {
		return this.commentdate;
	}

	public void setCommentdate(String commentdate) {
		this.commentdate = commentdate;
	}

	public String getContent() {
		return this.content;
	}

	public void setContent(String content) {
		this.content = content;
	}

	public Account getAccount() {
		return this.account;
	}

	public void setAccount(Account account) {
		this.account = account;
	}

	public Status getStatus() {
		return this.status;
	}

	public void setStatus(Status status) {
		this.status = status;
	}

}